package com.zd.exam.mapper;

import java.util.List;

import com.zd.exam.domain.ElPractiseQuAnswer;

/**
 * 试卷考题备选答案Mapper接口
 *
 * @author liubo
 * @date 2021-12-14
 */
public interface ElPractiseQuAnswerMapper {
    /**
     * 查询试卷考题备选答案
     *
     * @param id 试卷考题备选答案主键
     * @return 试卷考题备选答案
     */
    public ElPractiseQuAnswer selectElPractiseQuAnswerById(Long id);

    /**
     * 查询试卷考题备选答案列表
     *
     * @param elPractiseQuAnswer 试卷考题备选答案
     * @return 试卷考题备选答案集合
     */
    public List<ElPractiseQuAnswer> selectElPractiseQuAnswerList(ElPractiseQuAnswer elPractiseQuAnswer);

    /**
     * 新增试卷考题备选答案
     *
     * @param elPractiseQuAnswer 试卷考题备选答案
     * @return 结果
     */
    public int insertElPractiseQuAnswer(ElPractiseQuAnswer elPractiseQuAnswer);

    /**
     * 修改试卷考题备选答案
     *
     * @param elPractiseQuAnswer 试卷考题备选答案
     * @return 结果
     */
    public int updateElPractiseQuAnswer(ElPractiseQuAnswer elPractiseQuAnswer);

    /**
     * 删除试卷考题备选答案
     *
     * @param id 试卷考题备选答案主键
     * @return 结果
     */
    public int deleteElPractiseQuAnswerById(Long id);

    /**
     * 批量删除试卷考题备选答案
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteElPractiseQuAnswerByIds(Long[] ids);

    void insertBatchPractiseQuAnswer(List<ElPractiseQuAnswer> batchAnswerList);
}
